[elinks-users] Re: ELinks-0.10.5

Miciah Dashiel Butler Masters miciah at myrealbox.com
Thu May 5 09:23:01 PDT 2005


On Thu, May 05, 2005 at 02:01:53PM +0100, Jon Shapcott wrote:
> [...]
> There are a few bugs as far as lua 5 goes too. The most serious is the
> standard table functions are not available. I've figured various ways of
> tidying up the lua scripting module to make it right for lua 5, and improve
> lua error messages, but it's all pretty radical. Is anyone interested in a
> version that's been ripped to pieces and put back together again?

Don't bother. The work is already done on HEAD. It has been decided that
0.10 will support Lua 4 and the next major release will support Lua 5.
Supporting both would be too difficult as it would require not only some
crud in the C code and configure but also separate versions hooks.lua.

> I have fascist sysadmin who demands I keep specially compiled libraries
> sowehere under my home directory, and dick about with LD_LIBRARY_PATH. This
> means I've had to modify the configure file to look them up under
> ${exec_prefix} if the standard locations fail. It might be a good idea to do
> this for most library lookups. The only libraries I'm using in elinks are
> the lua ones and openssl, so those are only lookups I've modified.

I have Lua in my homedir and use --with-lua=$HOME/packages/lua. I hadn't
realised it before, but it appears that it is automatically linking
statically.

-- 
Miciah Masters <miciah at myrealbox.com> / <mdm0304 at mail.ecu.edu>



More information about the elinks-users mailing list